Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028230
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-11-19 18:062014-12-30 23:27
ReporteraferrazView Statuspublic 
Assigned ToSandrahuguet 
PriorityhighResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision5da17f50c4b0
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028230: [Costing] Null Pointer Exception is raised when trying to post a goods receipt

Description[Costing] Null Pointer Exception is raised when trying to post a goods receipt
Steps To ReproduceIn QA Testing client, realize that "Spain" organization has no currency.

Create a new product of type "Service" named "LC1000". Select a "Purchase" price list version and enter a unit/list price of 650.00. Add a "Standard" cost with starting date 19-11-2014, ending date 31-12-9999, cost 500, currency EUR, warehouse "Spain warehouse" and manual true.

Go to goods receipt window and create a new one dated on 19-11-2014. Select the product "LC1000", quantity 7 and storage bin "L01". Complete the receipt.

Go to process request window and launch costing background process.

Go back to goods receipt window and post it.

A "Null Pointer Exception" message is shown.
TagsNo tags attached.
Attached Filespng file icon Exception.png [^] (157,125 bytes) 2014-11-19 18:06

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028234 closedSandrahuguet [Costing] Costing Rule validation process should check that the organization has a currency setup 

-  Notes
(0072341)
hgbot (developer)
2014-12-09 10:31

Repository: erp/devel/pi
Changeset: 5da17f50c4b06113f285acdbaca01fd572c119fc
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Dec 05 08:51:10 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5da17f50c4b06113f285acdbaca01fd572c119fc [^]

Fixes bug 28230 Null Pointer Exception is raised when trying to post a goods receipt

When a goods receipt with a product of type Service, which has a cost of type Standard, is posted, the DocInOut class calls the getStandardCost method from CostingUtils class with the currency of the current organization. If the organization has no currency, the client's currency will be used. Otherwise, a null pointer exception will be raised.

---
M src/org/openbravo/erpCommon/ad_forms/DocInOut.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
---
(0072344)
umartirena (developer)
2014-12-09 11:48

Code Review + Testing OK
(0073186)
hudsonbot (developer)
2014-12-30 23:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-19 18:06 aferraz New Issue
2014-11-19 18:06 aferraz Assigned To => Sandrahuguet
2014-11-19 18:06 aferraz File Added: Exception.png
2014-11-19 18:06 aferraz Modules => Core
2014-11-19 18:06 aferraz Triggers an Emergency Pack => No
2014-11-19 18:07 aferraz Summary Null Pointer Exception is raised when trying to post a goods receipt => [Costing] Null Pointer Exception is raised when trying to post a goods receipt
2014-11-19 18:07 aferraz Description Updated View Revisions
2014-11-20 11:10 aferraz Relationship added related to 0028234
2014-12-09 10:31 hgbot Checkin
2014-12-09 10:31 hgbot Note Added: 0072341
2014-12-09 10:31 hgbot Status new => resolved
2014-12-09 10:31 hgbot Resolution open => fixed
2014-12-09 10:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5da17f50c4b06113f285acdbaca01fd572c119fc [^]
2014-12-09 10:54 aferraz Steps to Reproduce Updated View Revisions
2014-12-09 11:48 umartirena Review Assigned To => umartirena
2014-12-09 11:48 umartirena Note Added: 0072344
2014-12-09 11:48 umartirena Status resolved => closed
2014-12-09 11:48 umartirena Fixed in Version => pi
2014-12-30 23:27 hudsonbot Checkin
2014-12-30 23:27 hudsonbot Note Added: 0073186


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker